mixin seletorForm(site, seletor, campos, etapas, leitores)
    .card.bg-dark.text-white
        .card-body
            h3.h5.card-title Site:&nbsp;
                strong=site.titulo
            form(method="post")
                .form-row
                    .form-group.col
                        label(for='selectCampo') Campo
                        select.form-control#selectCampo(name="campo", onchange="changeCampo()")
                            option(selected=true, value="") Selecione um campo
                            each campo in campos
                                option(selected=campo.value === seletor.campo, value=campo.value)=campo.label
                    .form-group.col
                        label(for='selectEtapa') Etapa
                        select.form-control#selectEtapa(name="etapa")
                            option(selected=true, value="") Selecione uma etapa
                            each etapa in etapas
                                option(selected=etapa.value === seletor.etapa, value=etapa.value)=etapa.label
                    .form-group.col
                        label(for='selectLeitor') Leitor
                        select.form-control#selectLeitor(name="leitor", onchange="changeLeitor()")
                            option(selected=true, value="") Selecione um leitor
                            each leitor in leitores
                                option(selected=leitor.value === seletor.leitor, value=leitor.value)=leitor.label

                .form-row
                    .form-group.col
                        label(for='inputSeletor') Seletor
                        input#inputSeletor.form-control(type='text', placeholder='Seletor', name="seletor", value=seletor.seletor)
                    .form-group.col-4#campoAtributo
                        label(for='inputAtributo') Atributo
                        input#inputAtributo.form-control(type='text', placeholder='Atributo', name="atributo", value=seletor.atributo)
                    .form-group.col-4#campoFormato
                        label(for='inputFormato') Formato da data
                        input#inputFormato.form-control(type='text', placeholder='Formato da data', name="formato", value=seletor.formato)

                hr
                .form-group.text-right
                    a.btn.btn-danger(href="/admin/sites/view/" + site._id + '?tab=seletor')
                        i.fa.fa-ban
                        |  Cancelar
                    | &nbsp;
                    button.btn.btn-primary(type='submit')
                        i.fa.fa-check
                        |  Salvar

